package ws.prova.examples;

import java.util.ArrayList;
import java.util.List;

/*
 * Copyright (C) 2002-2007 <a href="mailto:a.kozlenkov@city.ac.uk">Alex Kozlenkov</a>
 * Copyright (C) 1999-2005 <a href="mailto:mandarax@jbdietrich.com">Jens Dietrich</a>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * An example class used in test024.prova
 * <p>Title: Prova</p>
 * <p>Description: An example class used in test024.prova</p>
 * <p>Copyright: Copyright (C) 2002-2007</p>
 * <p>Company: City University, London, United Kingdom</p>
 *
 * @author Alex Kozlenkov
 * @version 2.0 <25 March 2007>
 */
public class IBMPortfolio extends Portfolio {
    Object value;

    public IBMPortfolio() {
    }

    public static void println( Object o ) {
        System.out.println(o);
    }

    public Object[] getObjectArray() {
    	Object[] objects = new Object[]{"A",new Double(3.14),new Integer(4)}; 
        return objects;
    }

    public List getJavaList() {
    	List list = new ArrayList(3);
    	list.add("A");
    	list.add(new Double(3.14));
    	list.add(new Integer(4));
        return list;
    }

    public Object getValue() {
        return value;
    }

    public void setValue(Object value) {
        this.value = value;
    }
}
